/**
Theme Name: Astra Child
Author: Mohamed Jasim
Author URI: https://www.mohamedjasim.me/
Description: This child theme created by Jasim
Version: 1.0.1
License: GNU General Public License v2 or later
License URI: http://www.gnu.org/licenses/gpl-2.0.html
Text Domain: astra-child
Template: astra
*/

.wpcf7 input:not([type=submit]), .wpcf7 select, .wpcf7 textarea
{
	border-radius: 10px;
}
.wpcf7-form-control-wrap
{
	position: static; !important
}


/**
	Checkout Text Center
*/
header.entry-header.ast-no-thumbnail.ast-no-meta {
    text-align: center;
}

/**
	Cart coupon field hidden
*/
.woocommerce #content table.cart td.actions, .woocommerce table.cart td.actions, .woocommerce-page #content table.cart td.actions, .woocommerce-page table.cart td.actions {
    display: none;
}

/**
	Cart Product Subtotal hidden
*/
.product-subtotal {
    display: none;
}


/**
	Cart Table Layout Alignment
*/
.woocommerce #content table.cart td, .woocommerce-page #content table.cart td
{
	padding: 10px;
}

/**
	Cart Table Layout Alignment
*/
.woocommerce-cart-form tbody .product-thumbnail {
    padding: 10px 30px 10px 30px !important;
}

/* 1000px and smaller screen sizes */
@media only screen and (min-width: 1000px){
	/* Product thumbnail */
	.woocommerce-cart-form tbody .product-thumbnail{
		width: 10%;
	}
	
	/* Product quantity */
	.woocommerce-cart-form tbody .product-quantity{
		width:18%;
	}
	
	/* Product price */
	.woocommerce-cart-form tbody .product-price{
		width:10%;
	}
	
}

/* Order review heading */
#order_review_heading{
	background-color: white;
	border-radius: 10px 10px 0px 0px;
}

/* Order review */
#order_review{
	background-color: white;
	border-radius: 0px 0px 10px 10px;
}

/* Shop table */
.entry-content .woocommerce-cart-form .shop_table{
	background-color: white;
}

table.shop_table.shop_table_responsive.cart.woocommerce-cart-form__contents{
	border-radius: 10px;
}

/* Minus */
.woocommerce-cart-form__cart-item .quantity .minus{
	background-color: white;
	border: 1px solid;
	border-color: #dddddd;
	color: #696f75;
}

/* Plus */
.woocommerce-cart-form__cart-item .quantity .plus{
	background-color: white;
	border: 1px solid;
	border-color: #dddddd;
	color: #696f75;
}

/* Plus (hover) */
.woocommerce-cart-form__cart-item .quantity .plus:hover{
	background-color: #696f75;
	border: 1px solid;
	border-color: #dddddd;
	color: #ffffff;
}

/* Minus (hover) */
.woocommerce-cart-form__cart-item .quantity .minus:hover{
	background-color: #696f75;
	border: 1px solid;
	border-color: #dddddd;
	color: #ffffff;
}

input::-webkit-outer-spin-button,
input::-webkit-inner-spin-button {
    -webkit-appearance: none;
    margin: 0;
}

.page-id-1680 table, td, th
{
	border: none;
}

/* Billing first name */
#billing_first_name{
	border-radius: 5px;
}

/* Billing last name */
#billing_last_name{
	border-radius: 5px;
}

/* Billing address 1 */
#billing_address_1{
	border-radius: 5px;
}

/* Billing address 2 */
#billing_address_2{
	border-radius: 5px;
}

/* Billing city */
#billing_city{
	border-radius: 5px;
}

/* Span Tag */
#billing_state_field .woocommerce-input-wrapper > span > span > span{
	border-radius: 5px;
}

/* Billing postcode */
#billing_postcode{
	border-radius: 5px;
}

/* Billing phone */
#billing_phone{
	border-radius: 5px;
}

/* Billing email */
#billing_email{
	border-radius: 5px;
}

/* Order comments */
#order_comments{
	border-radius: 5px;
}

/* Widget Title */
.site-footer-primary-section-3 .widget h2{
	color: white !important;
}

article#post-1680 {
    padding: 30px 0px 30px 0px;
}

form#basic-user-avatar-form {
    text-align: center;
}

input#basic-local-avatar {
    padding-left: 100px;
    padding-top: 20px;
}

img.avatar.avatar-96.photo {
    border-radius: 4px;
}

/*****************************************************************************/

nav.woocommerce-MyAccount-navigation {
    display: none;
}

.woocommerce-account .woocommerce-MyAccount-content {
    width: 100%;
}

/* Woocommerce  account orders */
.elementor-shortcode .woocommerce-MyAccount-orders{
	margin-bottom:0px !important;
}

/* Table Row */
.woocommerce-MyAccount-orders thead tr{
	font-size: 20px;
}

/* Order */
.woocommerce-MyAccount-orders tbody .order{
	font-size: 16px;
}

/* Account first name */
#account_first_name{
	border-radius: 4px;
}

/* Account last name */
#account_last_name{
	border-radius: 4px;
}

/* Account display name */
#account_display_name{
	border-radius: 4px;
}

/* Account email */
#account_email{
	border-radius: 4px;
}

/* Password current */
#password_current{
	border-radius: 4px;
}

/* Input */
.woocommerce-EditAccountForm span input[type=password]{
	border-radius: 4px;
}

/* Paragraph */
.elementor-shortcode .woocommerce-MyAccount-content > p:nth-child(2){
	text-align: center;
}

/* Heading */
.elementor-shortcode .woocommerce-order-details h2{
	text-align: center;
}

/* Woocommerce customer details */
.elementor-shortcode .woocommerce-customer-details{
	background-color: white;
	padding: 2px;
	border-radius: 4px;
}

/* Table Row */
.woocommerce-table--order-details thead tr{
	border-radius: 4px;
}

/* Woocommerce table  order details */
.elementor-shortcode .woocommerce-order-details .woocommerce-table--order-details{
	padding: 2px;
	border-radius: 4px;
}

/* Woocommerce  account orders */
.elementor-shortcode .woocommerce-MyAccount-orders{
	padding: 2px;
	border-radius: 4px;
	background-color: white;
}

/* Table Data */
.woocommerce-MyAccount-orders tbody .woocommerce-orders-table__cell-order-actions{
		border-color: transparent;
}

/* Woocommerce table  product total */
.woocommerce-table--order-details tbody .woocommerce-table__product-total{
	border-color: transparent;
}

/* Table Data */
.woocommerce-table--order-details tfoot td{
	border-color: transparent;
}

.woocommerce-MyAccount-content {
    background-color: white;
    border-radius: 4px;
    padding: 30px;
}

/* mobile only Place order button sticky */
@media (max-width: 600px) {
.woocommerce #payment #place_order {
position: fixed;
bottom: 0;
background-color: black;
margin-bottom: 0;
left: 0;
right: 0;
top: unset !important;
z-index: 1000;
margin-left:auto;
margin-right:auto;
padding-top: 25px;
padding-bottom: 25px;
text-transform: uppercase;
width:100% !important;
}
}

#order_review {
    position: sticky;
    top: 0;
}

.you_save_price {
	background: #f9f9f9;
	display: table;
	padding: 10px;
	border: 1px dashed #ddd;
	text-align: center;
	font-size: 14px;
	font-weight: 600;
	margin-bottom: 20px;
}

.page-id-1680 .entry-content p
{
	margin-bottom: 0em;
}


.page-id-1680 .entry-content h1, .entry-content h2, .entry-content h3, .entry-content h4, .entry-content h5, .entry-content h6
{
	margin-bottom: 0em;
}

.page-id-1680 .entry-content h6, h6
{
	line-height: 1;
}


@keyframes type{
	  from{box-shadow: inset -3px 0px 0px #888;}
	  to{box-shadow: inset -3px 0px 0px transparent;}
}



/* ---------------------------------------------------------- WOOCOMMERCE SINGLE PRODUCT PAGE ----------------------------------------------------------- */



/**
 * @snippet       CSS to Move Gallery Columns @ Single Product Page
 * @sourcecode    https://businessbloomer.com/?p=20518
 * @author        Rodolfo Melogli
 * @compatible    WooCommerce 3.5.4
 * @donate $9     https://businessbloomer.com/bloomer-armada/
 */
 
/* Make image 75% width to make room to its right */
 
.single-product div.product .woocommerce-product-gallery .flex-viewport {
    width: 88%;
    float: right;
}
 
/* Make Gallery 25% width and place it beside the image */
 
.single-product div.product .woocommerce-product-gallery .flex-control-thumbs {
    
	display: grid;
}
 
/* Style each Thumbnail with width and margins */
 
.single-product div.product .woocommerce-product-gallery .flex-control-thumbs li img {
    float: none;
    margin: 0;
	box-shadow: rgba(0, 0, 0, 0.24) 0px 3px 8px;
	border-radius: 5px;
	margin-bottom: 5px;
}

.woocommerce div.product div.images .flex-control-thumbs li
{
	width:80% !important;
	margin: auto;
	padding-top: 5px;
	padding-bottom: 5px;
}

.ast-plain-container.ast-no-sidebar #primary
{
	margin: 4em 0 !important;
}

.woocommerce .woocommerce-breadcrumb {
    font-size: 10px;
}

.woocommerce div.product div.summary .single-product-category
{
	display: none;
}


.woocommerce div.product p.price del, .woocommerce div.product span.price del {
    font-size: 15px;
}

.typing-wpcreato 
{    
	animation: typing 2s steps(8), blink .5s step-end infinite alternate;
	white-space: nowrap;
	overflow: hidden;
	border-color: #878787;
	border-right: 2px solid;
}
@keyframes typing 
{    
	from {      
		width: 0    
	}  
}        
@keyframes blink 
{    50% 
	{      
		border-color: transparent    
	}  
}

span.discount {
    color: red;
    font-size: 14px;
}

span.mrpcl {
    font-size: 14px;
}


.elementor-icon-list-item{
    align-items: start !important;
}

.elementor-icon-list-icon{
    padding-top: 10px !important
}

@media only screen and (max-width: 768px)
{
	.elementor-icon-list-item{
    align-items: start !important;
}

.elementor-icon-list-icon{
    padding-top: 7px !important
}
}

.elementor-widget .elementor-icon-list-icon+.elementor-icon-list-text {
    text-align: justify;
}

p.woocommerce-notice.woocommerce-notice--success.woocommerce-thankyou-order-received {
    padding-bottom: 40px;
}

p.edd {
    color: black;
    font-weight: 600;
    font-size: 14px;
    padding-bottom: 20px;
}

.edd span {
    color: red;
    font-weight: 600;
    font-size: 14px;
    padding-left: 5px;
}

p.ast-stock-detail {
    font-size: 14px !important;
    font-weight: 600;
	padding-bottom: 12px;
}

.woocommerce div.product form.cart .variations th
{
	font-size: 14px;
}

#add_payment_method #payment div.payment_box p:last-child, .woocommerce-cart #payment div.payment_box p:last-child, .woocommerce-checkout #payment div.payment_box p:last-child {
    margin-left: 27px;
}

#add_payment_method #payment ul.payment_methods li input, .woocommerce-cart #payment ul.payment_methods li input, .woocommerce-checkout #payment ul.payment_methods li input {
    margin: 0 7px 0 -23px;
}

span.onsale {
    display: none;
}


h1.product_title.entry-title {
    font-size: 22px;
    line-height: 1.5;
}

.woocommerce #reviews #review_form {
    border-radius: 15px;
}

.woocommerce #review_form #respond textarea {
    border-radius: 15px;
}

.woocommerce #review_form input#author {
    border-radius: 10px;
}

/* Comment Reply Title */
.woocommerce #review_form #reply-title{
	font-size: 16px;
}

.woocommerce #review_form input#email {
    border-radius: 10px;
}

.woo-shop .purchasable {
    background-color: white;
    border-radius: 15px;
    padding: 30px !important;
}

.woo-shop h2.woocommerce-loop-product__title {
    overflow: hidden;
    text-overflow: ellipsis;
    display: -webkit-box;
    -webkit-line-clamp: 2;
    -webkit-box-orient: vertical;
}

.woo-shop .woocommerce-page.columns-4 ul.products li.product, .woocommerce.columns-4 ul.products li.product {
    width: calc(32% - 15px) !important;
	margin-right: 20px !important;
}

@media (max-width: 768px)
{
	.woo-shop .woocommerce-page.columns-4 ul.products li.product, .woocommerce.columns-4 ul.products li.product {
    width: calc(48% - 15px) !important;
	margin-right: 20px !important;
}
}

@media (max-width: 544px)
{
	.woo-shop .woocommerce-page.columns-4 ul.products li.product, .woocommerce.columns-4 ul.products li.product {
    display: flex;
    align-items: center;
    padding: 10px 5px 10px 5px !important;
    width: 100% !important;
    margin-right: 0px !important;
}
	.woocommerce ul.products li.product img {
    width: 1200px !important;
}
}



.woo-shop .in-basket
{
	display: none;
}

.woo-shop input#yith-s {
    width: 100%;
}

.woo-shop nav.woocommerce-breadcrumb
{
	display: none !important;
}

@media (max-width: 544px)
{
	.woocommerce .woocommerce-ordering, .woocommerce-page .woocommerce-ordering {
    float: right;
}
	.astra-shop-thumbnail-wrap {
    max-width: 150px !important;
}
	.elementor-3027 .elementor-element.elementor-element-babc43b > .elementor-element-populated {
    margin: 0px 30px 0px 30px !important;
}
	.elementor-3027 .elementor-element.elementor-element-3633ae4 > .elementor-element-populated
	{
		margin: 0px 30px 0px 30px !important;
	}
	.elementor-3027 .elementor-element.elementor-element-c2e50fb
	{
		padding: 10px 0px 10px 0px !important;
	}
	.elementor-3337 .elementor-element.elementor-element-babc43b > .elementor-element-populated
	{
		margin: 0px 30px 0px 30px !important;
	}
	.elementor-3337 .elementor-element.elementor-element-3633ae4 > .elementor-element-populated
	{
		margin: 0px 30px 0px 30px !important;
	}
	.elementor-3337 .elementor-element.elementor-element-7781e7e > .elementor-element-populated
	{
		margin: 0px 30px 0px 30px !important;
	}
	.elementor-3475 .elementor-element.elementor-element-babc43b > .elementor-element-populated
	{
		margin: 0px 30px 0px 30px !important;
	}
	.elementor-3475 .elementor-element.elementor-element-3633ae4 > .elementor-element-populated
	{
		margin: 0px 30px 0px 30px !important;
	}
	.elementor-3487 .elementor-element.elementor-element-babc43b > .elementor-element-populated
	{
		margin: 0px 30px 0px 30px !important;
	}
	.elementor-3487 .elementor-element.elementor-element-3633ae4 > .elementor-element-populated
	{
		margin: 0px 30px 0px 30px !important;
	}
}

p.woocommerce-result-count {
    font-size: 12px;
}

input#upiwc-address {
    margin-left: 0px !important;
}

.woocommerce-page.woocommerce-checkout #payment ul.payment_methods, .woocommerce.woocommerce-checkout #payment ul.payment_methods {
    margin-left: 25px;
}

h6.upiwc-waiting-text {
    padding-bottom: 30px;
}

h3#ship-to-different-address {
    display: none;
}

p.pname {
    overflow: hidden;
    text-overflow: ellipsis;
    display: -webkit-box;
    -webkit-line-clamp: 1;
    -webkit-box-orient: vertical;
}

@media (max-width: 900px)
{
	tr.woocommerce-orders-table__row.woocommerce-orders-table__row {
    border: 1px solid var(--ast-border-color);
    margin-bottom: 20px;
    border-radius: 15px;
}

.woocommerce table.shop_table, .woocommerce-page table.shop_table {
    border: 0px solid var(--ast-border-color) !important;
    border-radius: 0;
}

.woocommerce table.shop_table td, .woocommerce-page table.shop_table td {
    border-top: 0px solid var(--ast-border-color) !important;
}
}

.woocommerce-MyAccount-orders tbody .order {
    font-size: 14px;
}
span.nobr {
    font-size: 16px;
}

.woocommerce-pagination.woocommerce-pagination--without-numbers.woocommerce-Pagination {
    padding-top: 15px;
}

form#order_review {
    padding: 30px 30px 0px 30px;
}




section.related.products .purchasable {
    background-color: white;
    border-radius: 15px;
    padding: 30px !important;
}

section.related.products h2.woocommerce-loop-product__title {
    overflow: hidden;
    text-overflow: ellipsis;
    display: -webkit-box;
    -webkit-line-clamp: 2;
    -webkit-box-orient: vertical;
}

section.related.products .in-basket
{
	display: none !important;
}

@media (max-width: 544px)
{
	section.related.products .purchasable {
    display: flex !important;
    align-items: center !important;
    padding: 10px 5px 10px 5px !important;
    width: 100% !important;
    margin-right: 0px !important;
}
	section.related.products .astra-shop-summary-wrap {
    padding-left: 20px;
}
}

.woocommerce div.product .woocommerce-tabs
{
	margin-bottom:0px !important;
}

.woocommerce-column--shipping-address.col-2 
{ display: none; }



.woocommerce .select2-container .select2-selection--single, .woocommerce select, .woocommerce-page .select2-container .select2-selection--single, .woocommerce-page select
{
	background-position: 85% 50% !important;
}

form.xoo-lwo-form {
    border: 1px solid var(--ast-border-color);
    padding: 20px;
    margin: 2em 0 !important;
    text-align: left;
    border-radius: 5px;
}